Name:             jansi
Version:          1.18
Release:          %mkrel 2
Group:            Development/Java
Summary:          Jansi is a java library for generating and interpreting ANSI escape sequences
License:          ASL 2.0
URL:              http://fusesource.github.io/jansi/

Source0:          https://github.com/fusesource/jansi/archive/jansi-project-%{version}.tar.gz

BuildArch:        noarch

BuildRequires:    maven-local
BuildRequires:    mvn(junit:junit)
BuildRequires:    mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:    mvn(org.fusesource:fusesource-pom:pom:)
BuildRequires:    mvn(org.fusesource.hawtjni:hawtjni-runtime)
BuildRequires:    mvn(org.fusesource.jansi:jansi-native)

%description
Jansi is a small java library that allows you to use ANSI escape sequences
in your Java console applications. It implements ANSI support on platforms
which don't support it like Windows and provides graceful degradation for
when output is being sent to output devices which cannot support ANSI sequences.

%package javadoc
Summary:          Javadocs for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n jansi-jansi-project-%{version}

%pom_disable_module example
%pom_xpath_remove "pom:build/pom:extensions"

%pom_remove_plugin -r :maven-site-plugin

# No maven-uberize-plugin
%pom_remove_plugin -r :maven-uberize-plugin

# Remove unnecessary deps for jansi-native builds
pushd jansi
%pom_remove_dep :jansi-windows32
%pom_remove_dep :jansi-windows64
%pom_remove_dep :jansi-osx
%pom_remove_dep :jansi-freebsd32
%pom_remove_dep :jansi-freebsd64
# it's there only to be bundled in uberjar and we disable uberjar generation
%pom_remove_dep :jansi-linux32
%pom_remove_dep :jansi-linux64
popd

# javadoc generation fails due to strict doclint in JDK 8
%pom_remove_plugin -r :maven-javadoc-plugin

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license license.txt
%doc readme.md changelog.md

%files javadoc -f .mfiles-javadoc
%license license.txt




%changelog
* Sat Feb 15 2020 umeabot <umeabot> 1.18-2.mga8
+ Revision: 1528624
- Mageia 8 Mass Rebuild

* Sat Aug 24 2019 daviddavid <daviddavid> 1.18-1.mga8
+ Revision: 1431573
- Update to version 1.18

* Sat Nov 17 2018 guillomovitch <guillomovitch> 1.17.1-1.mga7
+ Revision: 1330454
- new version 1.17.1

* Tue Sep 18 2018 umeabot <umeabot> 1.11-13.mga7
+ Revision: 1262869
- Mageia 7 Mass Rebuild

* Wed Mar 02 2016 neoclust <neoclust> 1.11-12.mga6
+ Revision: 982612
- Second rebuild of the java stack

* Thu Feb 25 2016 daviddavid <daviddavid> 1.11-11.mga6
+ Revision: 978950
- rebuild to regenerate Provides list

* Tue Feb 23 2016 neoclust <neoclust> 1.11-10.mga6
+ Revision: 976562
- First rebuild of the java stack
- sync package jansi with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.11-5.mga5
+ Revision: 744214
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Dec 16 2013 dmorgan <dmorgan> 1.11-3.mga4
+ Revision: 557558
- Rebuild against current java stack

* Tue Oct 22 2013 umeabot <umeabot> 1.11-2.mga4
+ Revision: 541717
- Mageia 4 Mass Rebuild

* Sun Oct 13 2013 dmorgan <dmorgan> 1.11-1.mga4
+ Revision: 496390
- New version

* Sat Jan 12 2013 umeabot <umeabot> 1.6-2.mga3
+ Revision: 354745
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 07 2011 dmorgan <dmorgan> 1.6-1.mga2
+ Revision: 164821
- Remove dot in summary
- Clean spec file
+ gil <gil>
- update to 1.6
- imported package jansi


* Fri May 27 2011 Marek Goldmann <mgoldman@redhat.com> 1.5-1
- Initial packaging


